/// @file Colour.vs
/// @brief a basic unshaded solid colour shader used with Colour.fs
/// @brief our projection matrix generated from the Camera
uniform mat4 projectionMatrix;
/// @brief our ViewMatrix generated from the Camera
uniform mat4 ViewMatrix;
/// @brief our ModelMatrix generated from our transforms
uniform mat4 ModelMatrix;
uniform vec4 Colour;


void main()
{
  gl_Position = projectionMatrix*ViewMatrix*ModelMatrix*gl_Vertex;
}
